Bug 765452 - (GLUSTER-3720) xdr: CLI <--> glusterd xdr's should have common xdr structures
xdr: CLI <--> glusterd xdr's should have common xdr structures
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: shishir gowda
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-14 05:58 EDT by Amar Tumballi
Modified: 2013-12-18 19:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2011-10-14 05:58:18 EDT
actually, below two structures are good enough for handling all our cli <--> glusterd communications, and that makes the code look more simple.

----
struct cli_req {
    opaque dict<>;
};

struct cli_rsp {
    int32_t op_ret;
    int32_t op_errno;
    string  op_errstr;
    opaque  dict<>;
};
----
Comment 1 Anand Avati 2011-11-16 01:42:32 EST
CHANGE: http://review.gluster.com/662 (By using only 1 xdr struct for request and 1 xdr struct for response,) merged in master by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.